/*
@ @licstart  The following is the entire license notice for the
JavaScript code in this file.

Copyright (C) 1997-2017 by Dimitri van Heesch

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

@licend  The above is the entire license notice
for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "Datafox DFCom - API", "index.html", [
    [ "Über die Kommunikationsbibliothek", "index.html", null ],
    [ "Versionsänderungen", "dfc_version_history.html", null ],
    [ "Einbindung der Bibliothek", "dfc_using_library.html", [
      [ "Umsetzung für Windows", "dfc_using_library.html#dfc_build_windows", [
        [ "Allgemeine Hinweise", "dfc_using_library.html#dtc_using_hints", null ],
        [ "Unterschiede zur Umsetzung des Kommunikationsmoduls für x64 Windows-Betriebssysteme.", "dfc_using_library.html#df_build_x86_and_x64", null ]
      ] ],
      [ "Umsetzung für unixoide Betriebssysteme.", "dfc_using_library.html#dfc_build_unix", [
        [ "Erstellen einer statischen oder shared library", "dfc_using_library.html#dfc_build_static_or_shared", null ],
        [ "Erstellen der Bibliothek unter CentOS 7", "dfc_using_library.html#df_build_centos", null ]
      ] ]
    ] ],
    [ "Beschreibungen", "dfc_explanations.html", [
      [ "Was sind Verbindungs-Id und Geräteadresse?", "dfc_explanations.html#dfc_channel_id_device_address", [
        [ "Was ist die Verbindungs-Id (connectionId)?", "dfc_explanations.html#dfc_connection_id", null ],
        [ "Was ist die Geräteadresse (deviceAddress)?", "dfc_explanations.html#dfc_device_address", null ]
      ] ],
      [ "Beschreibung des Passiv-Mode", "dfc_explanations.html#dfc_passiv_mode", [
        [ "Einleitung", "dfc_explanations.html#dfcd_passiv_mode_intro", null ],
        [ "Grober Überblick", "dfc_explanations.html#dfcd_passiv_mode_overview", null ],
        [ "Bei offen gehaltenen Verbindungen ist folgendes zusätzlich zu beachten.", "dfc_explanations.html#dfc_open_connections", null ]
      ] ],
      [ "Active-Mode / Service-Mode", "dfc_explanations.html#dfcd_active_mode", [
        [ "Einleitung", "dfc_explanations.html#dfcd_active_mode_intro", null ],
        [ "Grober Überblick", "dfc_explanations.html#dfcd_active_mode_overview", null ],
        [ "Kurze Gegenüberstellung der Befehlsausführung ohne und mit Active-Mode", "dfc_explanations.html#dfcd_active_mode_cmdexec", null ],
        [ "Starten Stoppen und Initialisieren des Active-Mode", "dfc_explanations.html#dfcd_active_mode_manage_active_mode", null ],
        [ "Melden von Datensätzen", "dfc_explanations.html#dfcd_active_mode_transfere", null ],
        [ "Inbetriebnehmen und Testen", "dfc_explanations.html#dfcd_active_mode_deployment_and_test", null ]
      ] ],
      [ "Behandlung von Datensätzen", "dfc_explanations.html#dfc_datasets", [
        [ "Beschreibung von Online- und Offline-Datensätzen.", "dfc_explanations.html#dfc_records_online", null ],
        [ "Anmerkung zur Datensatz- und Listenbeschreibung (Tabellendefinitionen)", "dfc_explanations.html#dfc_descriptions", null ],
        [ "Listen des Setups", "dfc_explanations.html#dfc_lists", [
          [ "Speicherverwaltung der Listen", "dfc_explanations.html#dfc_lists_memory", null ],
          [ "Übertragen von Listen", "dfc_explanations.html#dfc_lists_transfer", null ],
          [ "Übertragen einzelner Listen", "dfc_explanations.html#dfc_lists_transfer_2", null ],
          [ "Löschen von Listen", "dfc_explanations.html#dfc_lists_clear", null ],
          [ "Beschreibung der Übernahme von Listen", "dfc_explanations.html#dfc_lists_getting", null ]
        ] ],
        [ "Datentypen", "dfc_explanations.html#dfc_data_types", null ],
        [ "Uhrzeit stellen", "dfc_explanations.html#dfcd_set_date_and_time", null ],
        [ "Timeboylisten übertragen", "dfc_explanations.html#dfcd_timeboy_list_transfer", [
          [ "GroupID", "dfc_explanations.html#dfcd_timeboy_list_transfer_group_id", null ]
        ] ],
        [ "Übertragen von Gerätedateien", "dfc_explanations.html#dfcd_file_upload", null ],
        [ "Beim Update über Gerätedateiarchiv (*.dfz) ist folgendes zu beachten.", "dfc_explanations.html#dfcd_file_upload_firmware", null ],
        [ "Allgemeine Hinweise zu allen MasterIV-Geräten", "dfc_explanations.html#dfcd_file_upload_hint", null ],
        [ "Bekannte Probleme und deren Fehlerbehebung", "dfc_explanations.html#dfcd_file_upload_troubleshooting", null ],
        [ "IP-Adresse und Hostname", "dfc_explanations.html#dfcd_ip_addr_and_hostname", null ]
      ] ],
      [ "Verschlüsselung der Kommunikation zwischen dem Kommunikationsmodul und den Geräten.", "dfc_explanations.html#dfcd_communication_enc", [
        [ "Aktivieren und Einstellen der Verschlüsselung für das Gerät.", "dfc_explanations.html#dfcd_communication_enc_activate", null ],
        [ "Aktivieren und Einstellen der Verschlüsselung im Kommunikationsmodul.", "dfc_explanations.html#dfcd_communication_enc_module", null ],
        [ "Funktionsweise der Verschlüsselung im Kommunikationsmodul.", "dfc_explanations.html#dfcd_communication_enc_operation", null ]
      ] ],
      [ "Bearbeitung vorhandener Listendaten.", "dfc_explanations.html#dfcd_manipulating_list_data", null ],
      [ "Befehlsausführungen während einer länger andauernden Datenübertragung.", "dfc_explanations.html#dfcd_exec_command_during_transaction", null ],
      [ "Erklärung zu Funktionsparametern", "dfc_explanations.html#dfc_parameters", [
        [ "Erklärung des Schnittstellentimeouts.", "dfc_explanations.html#dfc_read_timeout", null ],
        [ "Erklärung zum Fehlerparameter", "dfc_explanations.html#dfc_type_error_numbers", null ],
        [ "Erklärung zu Zeichenfolgen / Zeichenarray.", "dfc_explanations.html#dfc_type_string", null ]
      ] ],
      [ "Datenstruktur", "dfc_explanations.html#dfc_types", [
        [ "Aufbau der Datensätze im Bytearray", "dfc_explanations.html#dfc_type_record", null ],
        [ "Datum und Uhrzeit im Bytearray", "dfc_explanations.html#dfc_type_date_time", null ]
      ] ],
      [ "Behandlung von Fingertemplates", "dfc_explanations.html#dfc_fingerprint", null ],
      [ "Protokollierung durch die Bibliothek", "dfc_explanations.html#dfc_logging", [
        [ "Aufbau der Logeinträge", "dfc_explanations.html#dfc_logging_entries", null ],
        [ "Initialisierungsdatei", "dfc_explanations.html#dfc_logging_ini_file", null ],
        [ "Suchreihenfolge der Initialisierungsdatei", "dfc_explanations.html#dfc_logging_find_ini_file", null ]
      ] ]
    ] ],
    [ "Programmbeispiele", "dfc_program_examples.html", [
      [ "Passiv-Mode", "dfc_program_examples.html#Passiv-Mode", null ]
    ] ],
    [ "Exportierte Funktionen", "dfc_exports.html", [
      [ "Allgemeine Funktionen", "dfc_exports.html#dfc_exports_common", null ],
      [ "Funktionen für Setup", "dfc_exports.html#dfc_exports_setup", null ],
      [ "Funktionen für Listen, sowie Zutrittslisten", "dfc_exports.html#dfc_exports_lists", null ],
      [ "Funktionen für Daten", "dfc_exports.html#dfc_exports_records", null ],
      [ "Funktionen für Listen", "dfc_exports.html#dfc_exports_setup_lists", null ],
      [ "Funktionen für Zutrittskontrolllisten (Version 1)", "dfc_exports.html#dfc_exports_access_control_lists_v1", null ],
      [ "Funktionen für Zutrittskontrolllisten (Version 2)", "dfc_exports.html#dfc_exports_access_control_lists_v2", null ],
      [ "Funktionen für Fingerprint", "dfc_exports.html#dfc_exports_fingerprint", null ],
      [ "Funktionen für Timeboylisten", "dfc_exports.html#dfc_exports_timeboy_lists", null ],
      [ "Funktionen für Active-Mode", "dfc_exports.html#dfc_exports_active_mode", null ],
      [ "Funktionen für Blockübertragung", "dfc_exports.html#dfc_exports_block_transfer", null ]
    ] ],
    [ "Fehlernummern", "dfc_error_numbers.html", null ],
    [ "Systemvariablen", "dfc_system_variables.html", [
      [ "Variablen für Mobilfunk, Präfix: _MODEM_MC35i oder MOBILE", "dfc_system_variables.html#dfcd_4_sysvar_modem_mc35i", null ],
      [ "Variablen für Bedienung, Präfix: SERVICE", "dfc_system_variables.html#dfcd_4_sysvar_service", null ],
      [ "Variablen für Zutritt, Präfix: ACCESS", "dfc_system_variables.html#dfcd_4_sysvar_access", null ],
      [ "Variablen für Bluetooth, Präfix: BTH", "dfc_system_variables.html#dfcd_4_sysvar_bth", null ],
      [ "Variablen für digitale Ein-/Ausgänge, Präfix: IO", "dfc_system_variables.html#dfcd_4_sysvar_io", null ],
      [ "Variablen zum Präfix: POWER", "dfc_system_variables.html#dfcd_4_sysvar_power", null ],
      [ "Variablen für Active-Mode, Präfix: COM", "dfc_system_variables.html#dfcd_4_sysvar_com", null ],
      [ "Variablen für Datensatzversand mit Http, Präfix: HTTP", "dfc_system_variables.html#dfcd_4_sysvar_http", null ],
      [ "Variablen für das Gesamtsystem, Präfix: SYSTEM", "dfc_system_variables.html#dfcd_4_sysvar_system", null ]
    ] ],
    [ "Ausstehende Aufgaben", "todo.html", null ],
    [ "Veraltete Elemente", "deprecated.html", null ],
    [ "Dateien", "files.html", [
      [ "Auflistung der Dateien", "files.html", "files_dup" ],
      [ "Globale Elemente", "globals.html", [
        [ "Alle", "globals.html", null ],
        [ "Funktionen", "globals_func.html", null ],
        [ "Typdefinitionen", "globals_type.html", null ],
        [ "Makrodefinitionen", "globals_defs.html", null ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"deprecated.html"
];

var SYNCONMSG = 'Klicken um Panelsynchronisation auszuschalten';
var SYNCOFFMSG = 'Klicken um Panelsynchronisation einzuschalten';